# Created by pyp2rpm-3.3.7
%global pypi_name inflect

%bcond_with docs
# missing pytest modules
%bcond_with check

Name:           python-%{pypi_name}
Version:        7.5.0
Release:        %mkrel 2
Summary:        Correctly generate plurals, singular nouns, ordinals, indefinite articles; convert numbers to words
Group:          Development/Python
License:        None
URL:            https://github.com/jaraco/inflect
Source0:        https://files.pythonhosted.org/packages/source/i/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Correctly generate plurals, singular nouns, ordinals, indefinite articles;
convert numbers to words.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Correctly generate plurals, singular nouns, ordinals, indefinite articles;
convert numbers to words.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs} %{?with_check:-x testing}

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%if %{with doc}
%doc html
%endif


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 7.5.0-2.mga10
+ Revision: 2238008
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 daviddavid <daviddavid> 7.5.0-1.mga10
+ Revision: 2154333
- new version: 7.5.0
- rebuild for python 3.13

* Thu Dec 19 2024 papoteur <papoteur> 7.3.1-1.mga10
+ Revision: 2126264
- new version 7.3.1

* Fri Jun 28 2024 papoteur <papoteur> 7.2.1-1.mga10
+ Revision: 2077540
- new version 7.2.1

* Sun Dec 17 2023 papoteur <papoteur> 7.0.0-2.mga10
+ Revision: 2018537
- rebuild for python 3.12
- new {paquet[1]}

* Sun Dec 10 2023 wally <wally> 7.0.0-1.mga10
+ Revision: 2016942
- new version 7.0.0
- use pyproject rpm macros

* Tue Mar 29 2022 umeabot <umeabot> 5.3.0-3.mga9
+ Revision: 1832836
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 5.3.0-2.mga9
+ Revision: 1784340
- rebuild for python-3.10

* Wed Sep 01 2021 wally <wally> 5.3.0-1.mga9
+ Revision: 1743951
- imported package python-inflect

